---
title: 管理离线消息存储配置
sidebar_position: 140
---
import { Support } from '/docs/assets/scripts/support.js';
export const offlineMessageDuration = '7';




即时通讯业务支持修改 App 级别的离线消息配置。

> **注意**
>
> 离线消息配置仅适用于单聊、群聊。聊天室、超级群因业务特性不支持离线消息，因此无离线消息配置。

## 了解离线消息

离线消息<sup><a href="/guides/glossary/imglossary#offline">?</a></sup>是指当用户不在线时收到的消息。融云服务端会自动为用户保留离线期间接收的消息，默认的离线消息保留时长为  {offlineMessageDuration} 天。{offlineMessageDuration} 天内客户端如果上线，服务端会直接将离线消息发送到该接收端。如果 7 天内客户端都没有上线，服务端将抛弃掉过期的消息。

即时通讯业务下并非所有会话类型都支持离线消息：

- **支持离线消息**：单聊、群聊、系统消息 {/*<public-cloud-only start>*/}
- **不支持离线消息**：聊天室、超级群 {/*<public-cloud-only end>*/}

## App 级别离线消息配置

如需修改 App 级别设置，请<Support cloudType='public'/>。

App 级别的离线消息配置如下：

- 单聊离线消息存储时长：默认存储 {offlineMessageDuration}  天。设置范围为 1 - {offlineMessageDuration}  天。配置修改将影响 App 下所有单聊会话。
- 群聊离线消息存储时长：默认存储 {offlineMessageDuration}  天。设置范围为 1 - {offlineMessageDuration} 天。配置修改将影响 App 下所有群聊会话。
- 群组离线消息存储数量：默认存储 {offlineMessageDuration}  天内的所有群消息。配置修改将影响 App 下所有群聊会话。

{/* 链接区域 */}
[提交工单]: https://console.rongcloud.cn/agile/formwork/ticket/create
